org.springframework.data.relational.core.mapping.event

## Class BeforeConvertEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>
      - - org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity<E>
        - - org.springframework.data.relational.core.mapping.event.RelationalSaveEvent<E>
          - - org.springframework.data.relational.core.mapping.event.BeforeConvertEvent<E>

All Implemented Interfaces:
  Serializable, RelationalEvent<E>, WithAggregateChange<E>, WithEntity<E>

    public class BeforeConvertEvent<E>
    extends RelationalSaveEvent<E>

Gets published before an aggregate gets converted into a database change.

Since:
  1.1
Author:
  Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`BeforeConvertEvent(E instance, AggregateChange<E> change)`

### Method Summary

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalSaveEvent

`getAggregateChange`

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity

`getEntity, getType`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getEntity, getType`

### Constructor Detail

#### BeforeConvertEvent

    public BeforeConvertEvent(E instance,
                              AggregateChange<E> change)

Parameters:
  `instance` - the saved entity. Must not be null.
  `change` - the `AggregateChange` encoding the actions to be performed on the database as change. Since this event is fired before the conversion the change is actually empty, but contains information if the aggregate is considered new in `AggregateChange.getKind()`. Must not be null.